%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Write fluxes after bioremediation to csv file
%%% FW_reactions: cell array of parsed reactions (used to fetch names of
%%% encoded reactions)
%%% FW_fluxes: remediated flux values
%%% path: of the file to write
%%% conversionFactor (optional): for converting FBA units into units of PCBs flows
%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function exportFWFluxes(FW_reactions,FW_fluxes,path,conversionFactor)
    if(nargin<4)
        molarMassBiph=154.21;
        hoursPerYear=24*365.25;
        %conversionFactor=hoursPerYear*molarMassBiph;
        conversionFactor=hoursPerYear*molarMassBiph/1000;
    end
    fid = fopen(path, 'w');
    for i=1:length(FW_fluxes)
        fprintf(fid, '%s,%f\n', FW_reactions{i+1,2},FW_fluxes(i)*conversionFactor);
    end
    fclose(fid);
end


