%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Phenotypic phase plane analysis
%%% fbamodel: input model
%%% r1: reaction index of the 1st flux to control
%%% r1_range: vector of values limiting the max flux on r1
%%% r1_range: vector of values limiting the max flux on r1
%%% r2: reaction index of the 2nd flux to control
%%% r2_range: vector of values limiting the max flux on r2
%%% l1_cost: cost vector for level 1 objectives
%%% l2_cost: cost vector for level 2 objectives
%%% objs_1: values of objective function in level 1 problem
%%% objs_2: values of objective function in level 2 problem
%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [objs_1,objs_2] = phenotypic_phase(fbamodel,r1,r1_range,r2,r2_range, l1_cost, l2_cost)

objs_1=zeros(length(r1_range),length(r2_range));
objs_2=zeros(length(r1_range),length(r2_range));
for i=1:length(r1_range)
    for j=1:length(r2_range)
        fbamodel_tmp=fbamodel;
        if(r1_range<=0)
            fbamodel_tmp.lb(r1)=r1_range(i);
        else 
            fbamodel_tmp.ub(r1)=r1_range(i);
        end
        
        if(r1_range<=0)
            fbamodel_tmp.lb(r2)=r2_range(j);
        else
            fbamodel_tmp.ub(r2)=r2_range(j);
        end

        [~, ~, o_1, o_2]=flux_balance_bilevel(fbamodel_tmp,l1_cost, l2_cost);
        objs_1(i,j)=o_1;
        objs_2(i,j)=o_2;
    end 
end


