################################################
##                                            ##
##   IMPORTS                                  ##
##                                            ##
################################################
library(lattice)
if(!require(LIM)){
  install.packages("LIM")
  library(LIM)
}
if(!require(NetIndices)){
  install.packages("NetIndices")
  library(NetIndices)
}
if(!require(enaR)){
  install.packages("enaR")
  library(enaR)
}
if(!require(sna)){
  install.packages("sna")
  library(sna)
}

#load our R scripts
source("r_scripts/InputFileGen.R")
source("r_scripts/NetPostProcess.R")
source("r_scripts/KeystoneIndices.R")

source("r_scripts/trophic_model.R")
source("r_scripts/contaminant_model.R")
source("r_scripts/remediated_model.R")